## gnome-shell-extension-ubuntu-dock 70~ubuntu3.21.10.1

=== Makefile ===
# Basic Makefile

UUID = ubuntu-dock@ubuntu.com
BASE_MODULES = extension.js metadata.json COPYING README.md
EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js dbusmenuUtils.js Settings.ui
EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
TOLOCALIZE =  prefs.js appIcons.js locations.js
MSGSRC = $(wildcard po/*.po)
ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif
INSTALLNAME = ubuntu-dock@ubuntu.com

# The command line passed variable VERSION is used to set the version string
# in the metadata and in the generated zip-file. If no VERSION is passed, the
# current commit SHA1 is used as version number in the metadata while the
# generated zip file has no string attached.
ifdef VERSION
	VSTRING = _v$(VERSION)
else
	VERSION = $(shell git rev-parse HEAD)
	VSTRING =
endif

all: extension

clean:
	rm -f ./schemas/gschemas.compiled
	rm -f stylesheet.css
	rm -rf _build

extension: ./schemas/gschemas.compiled ./stylesheet.css $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./po/dashtodock.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./po/dashtodock.pot; \
	done;

./po/dashtodock.pot: $(TOLOCALIZE) Settings.ui
	mkdir -p po
	xgettext -k --keyword=__ --keyword=N__ --add-comments='Translators:' -o po/dashtodock.pot --package-name "Dash to Dock" --from-code=utf-8 $(TOLOCALIZE)
	intltool-extract --type=gettext/glade Settings.ui
	xgettext -k --keyword=_ --keyword=N_ --join-existing -o po/dashtodock.pot Settings.ui.h

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

./stylesheet.css: ./_stylesheet.scss
ifeq ($(SASS), ruby)
	sass --sourcemap=none --no-cache --scss _stylesheet.scss stylesheet.css
else ifeq ($(SASS), dart)
	sass --no-source-map _stylesheet.scss stylesheet.css
else ifeq ($(SASS), sassc)
	sassc --omit-map-comment _stylesheet.scss stylesheet.css
else
	sassc --omit-map-comment _stylesheet.scss stylesheet.css
endif

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
ifeq ($(INSTALLTYPE),system)
	# system-wide settings and locale files
	rm -r $(INSTALLBASE)/$(INSTALLNAME)/schemas $(INSTALLBASE)/$(INSTALLNAME)/locale
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
endif
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; \
	zip -qr "$(UUID)$(VSTRING).zip" .
	mv _build/$(UUID)$(VSTRING).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	cp stylesheet.css _build
	mkdir -p _build/media
	cd media ; cp $(EXTRA_MEDIA) ../_build/media/
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/dashtodock.mo; \
	done;
	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (70~ubuntu3.21.10.1) impish; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * locations: Do not manually dispose objects (LP: #1949352, #1951599)
  * windowPreview: Try generating previews clones on meta later only if have valid size
    (LP: #1949572)
  * locations: Use native GIcon as location Apps-icons (LP: #1874578)
  * debian: Update branch info for impish

  [ nename0 ]
  * Cleanup nautilus listeners (LP: #1949352)

  [ Pepijn Bogaard ]
  * appIcons: Fixed logic on handling preview click actions (LP: #1947445)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 Jan 2022 01:08:43 +0100

=== debian/control ===
Source: gnome-shell-extension-ubuntu-dock
Section: gnome
Priority: optional
Maintainer: Didier Roche <didrocks@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-translations,
               libglib2.0-bin,
               sassc,
Standards-Version: 4.1.1
Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-impish
Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-impish
Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md

Package: gnome-shell-extension-ubuntu-dock
Architecture: all
Depends: gnome-shell (<< 41),
         gnome-shell (>= 40),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: gnome-shell-extension-dashtodock,
Description: Ubuntu Dock for GNOME Shell
 A dock for the Gnome Shell, default Ubuntu experience.
 .
 This extension is a modified version of Dash To Dock with different defaults.
 Dash To Dock can be installed to replace it and give more (but unsupported)
 configuration options.

## gnome-shell-extension-ubuntu-dock 72~ubuntu5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = ubuntu-dock@ubuntu.com
 BASE_MODULES = extension.js metadata.json COPYING README.md
-EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js dbusmenuUtils.js Settings.ui
+EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js dbusmenuUtils.js Settings.ui desktopIconsIntegration.js
 EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
 TOLOCALIZE =  prefs.js appIcons.js locations.js
 MSGSRC = $(wildcard po/*.po)
@@ -82,7 +82,7 @@
 	-rm -fR _build
 	echo done
 
-zip-file: _build
+zip-file: _build check
 	cd _build ; \
 	zip -qr "$(UUID)$(VSTRING).zip" .
 	mv _build/$(UUID)$(VSTRING).zip ./
@@ -106,3 +106,14 @@
 		cp $$l $$lf/LC_MESSAGES/dashtodock.mo; \
 	done;
 	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;
+
+ifeq ($(strip $(ESLINT)),)
+    ESLINT = eslint
+endif
+
+ifneq ($(strip $(ESLINT_TAP)),)
+    ESLINT_ARGS = -f tap
+endif
+
+check:
+	$(ESLINT) $(ESLINT_ARGS) .

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (72~ubuntu5) jammy; urgency=medium

  * docking: Use proper monitor index variable to support DING integration
  * locations: Always ignore OR windows in windows-backed app implementation
  * dash: Handle possible null first button
  * appIcons: Use proper method on _setPopupTimeout call (LP: #1964996)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Apr 2022 22:24:07 +0200

gnome-shell-extension-ubuntu-dock (72~ubuntu4) jammy; urgency=medium

  * locations: Reintroduce manual rate limiting for trash monitoring to
    avoid large memory spikes and leaks when Nautilus deletes files
    (LP: #1962699)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 12 Apr 2022 16:01:16 +0800

gnome-shell-extension-ubuntu-dock (72~ubuntu3) jammy; urgency=medium

  * Revert "debian/rules: Also provide an empty yaru.css file"
    This may be provided also by yaru-theme-gnome-shell, as it should be.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Feb 2022 01:52:07 +0100

gnome-shell-extension-ubuntu-dock (72~ubuntu2) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * schemas/10_ubuntu-dock.gschema.override: Remove hardcoded theme
  * debian/rules: Also provide an empty yaru.css file
  * debian: Support make check via eslint
  * locations: Assign location to a const variable
  * cleanup: Fix style to follow basic eslint rules
  * cleanup: Fix case declaration scope
  * .eslintrc: Add basic eslint rule to check main issues
  * make: Add check case and use it before generating zip-file
  * docking: Try to use g-s current-workspace-only before monitor isolation
  * utils: Only block signal events for GObject classes
  * locations: Do not try to add null volumes from valid mounts (LP: #1960898)
  * locations: Ensure that cancellable is set during finally stanza
  * prefs: Ensure display combo box is updated on settings changes
  * prefs: Add support to show in GNOME 42 libadwaita-based dialog
  * utils: Support vfunc injections on newer GObject classes as per gjs 1.71
  * stylesheet: Use the same padding in both the sides in extended mode
  * stylesheet: Do not shrink too much border radius and edge paddings
  * stylesheet: Increase the side margin in shrink floating mode
  * appIconIndicators: Use native actor rotation to rotate the drawing area
  * appIconIndicators: Ensure that the drawing area is always a square

  [ Stephen Gibbel ]
  * Adds an intellihide mode for always-on-top (on non-fullscreen windows)

  [ Sergio Costas ]
  * Reset margins when 'intellihide' is disabled

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 24 Feb 2022 22:33:25 +0100

gnome-shell-extension-ubuntu-dock (72~ubuntu1) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Revert "extension: Disable starting in the overview"
  * locations: Do not manually dispose objects (LP: #1949352, LP: #1951599)
  * po/es.po: Remove duplicated entry for Quit translation
  * docking: Delay dash animation callback at actual completion
  * utils: Fix variable in error template string
  * appIcons: In case we have no window to activate, let's just present it
  * docking: Do not try to re-add a Meta.Later if one is already queued
  * docking: Optionally disable animation to overview on startup
  * dash: Track hover on separator item so that it can contribute to scrolling
  * dash: Remove the scroll view visibility idle if triggering actor is
    destroyed
  * docking: Handle monitoring of discrete GPU not to leak signals
  * appIcons: Random cleanups to use more relevant variable names
  * appIcons: Compare workspaces instead of their indexes
  * appIcons: Ensure we only consider as urgent the ones respecting our rules
  * appIcons: Use new-window action only when requested, avoiding duplication
  * appIcons: Fixed logic on handling preview click actions (LP: #1947445)
  * stylesheet: Use some better naming for start marging value
  * stylesheet: Use scss generation for overview-icon background
  * stylesheet: Set the dash-separator color in both horizontal and vertical
    mode
  * windowPreview: Try generating previews clones on meta later only if have
    valid size (LP: 1949572)
  * utils: Remove handlers in reversed order
  * Dash: Update appIcon geometry on parent geometry changes
  * docking: Reduce the space used by the window picker / app grid
  * cleanup: Use cached settings values instead of doing C calls
  * locations: Use shell domain to translate reused strings
  * locations: Use native GIcon as location Apps-icons (LP: #1874578)
  * locations: Use native Gio.FileMonitor rate limit instead of a custom idle
  * locations: Fix typo on FileManager app (un)wrapping functions
  * locations: Fix handling of location apps on isolated workspaces mode
  * locations: Also destroy all removable devices on Removables manager
    destruction
  * locations: Only emit changed signal if a monitored device has been removed
  * locations: Only update Trash icon on changes
  * locations: Remove unmounted locations by value
  * locations: Use native AppInfo's and Shell mount operations
  * metadata: Add support for gnome-shell 42
  * fileManager1API: Cleanup the code to get windows from location path
  * fileManager1API: Keep windows paths cached so we can monitor changes
  * utils: Add support for (un)blocking signals handlers
  * locations: Smart managing wrapped windows backed applications signal
    connections
  * locations: Use proxy properties to expose private items to public object
  * locations: Chain up to parent destroy() function if any
  * locations: Manage sources as part of DtdData
  * locations: Manage windows changes in base class
  * cleanup: Move shellAppCompare under Utils as it's a generic tool
  * locations: Keep locations windows ordered following the shell algorithm
  * locations: Use windows array directly where there's no need for method call
  * locations: Resort and notify windows changes on user-time changes


=== debian/control ===
--- 
+++ 
@@ -4,16 +4,20 @@
 Maintainer: Didier Roche <didrocks@ubuntu.com>
 Build-Depends: debhelper (>= 10),
                dh-translations,
+               eslint <!nocheck>,
                libglib2.0-bin,
+               node-chalk <!nocheck>,
+               node-js-yaml <!nocheck>,
+               node-strip-ansi <!nocheck>,
                sassc,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-impish
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-impish
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 41),
+Depends: gnome-shell (<< 43),
          gnome-shell (>= 40),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with translations

override_dh_install:
	dh_install --fail-missing
	rm debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/COPYING
	rm debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/prefs.js
	touch $(shell realpath debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com)/ubuntu.css

override_dh_translations:
	make ./po/dashtodock.pot
	dh_translations

override_dh_auto_test:
	env ESLINT_TAP=1 dh_auto_test

## gnome-shell-extension-ubuntu-dock 72~ubuntu5.22.04.2.1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (72~ubuntu5.22.04.2.1) jammy; urgency=medium

  * Keep shell overview always visible and usable (LP: #1979096):
    - docking: Do ControlsManagerLayout allocation with box-adjusted workArea
    - docking: Be more consistent in reducing the overlay layout space
    - docking: Add both bottom and top spacing when there are no workspaces

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 02 Jun 2023 04:12:06 +0200

gnome-shell-extension-ubuntu-dock (72~ubuntu5.22.04.2) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: Update maintainer to myself
  * Ensure startup animations are performed on monitor changes (LP: #2019751):
    - utils: Ensure we destroy the Signals handler as last thing on destroy
    - docking: Do not wait for dash animation two times with no overview
    - docking: Ensure we perform the startup animation completely on docks
      updates (LP: #1965208)
    - docking: Use a try/catch statement on our promise to show errors in case
    - docking: Cleanup startup animation injections once done
    - docking: Handle monitors changed events while preparing startup animation
    - docking: Keep clip and coverPane size matching current setup
    - docking: Handle when dash is destroyed during the login animation
  * Do not hide the dock when menus are closed (LP: #1983130):
    - docking: Ignore hover changes if overview is visible (LP: #1983130)
    - docking: Check if autohide or intellihide is enabled on menu closed
  * Keep shell overview always visible and usable (LP: #1979096):
    - docking: Also reduce the app grid area when in auto-hide mode
      (LP: #1992847)
    - docking: Use an even width for the overview content area
    - docking: Keep overview controls layout proportions when resizing it
      (LP: #1992847)

  [ Daniel van Vugt ]
  * docking: Handle when dash is destroyed during the login animation
    (LP: #2019751)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 15 May 2023 21:15:29 +0200

gnome-shell-extension-ubuntu-dock (72~ubuntu5.22.04.1) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Ignore loss of the hover state while a menu is open (LP: #1967121):
    - dash: Add a 'menu-opened' signal
    - appIcons: Remember to emit menu-state-changed for _previewMenu
    - docking: Ignore loss of the hover state while a menu is open

  [ Marco Trevisan (Treviño) ]
  * debian: Update references for jammy branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 08 Jul 2022 06:08:23 +0200

## gnome-shell-extension-ubuntu-dock 72~ubuntu5.22.04.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = ubuntu-dock@ubuntu.com
 BASE_MODULES = extension.js metadata.json COPYING README.md
-EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js dbusmenuUtils.js Settings.ui desktopIconsIntegration.js
+EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js locationsWorker.js windowPreview.js intellihide.js prefs.js theming.js utils.js dbusmenuUtils.js Settings.ui desktopIconsIntegration.js
 EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
 TOLOCALIZE =  prefs.js appIcons.js locations.js
 MSGSRC = $(wildcard po/*.po)

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (72~ubuntu5.22.04.3) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * windowPreviews: Take global scaling in account to set the clone sizes
    (LP: #1992843)
  * windowPreviews, appIcons: set maximum width/height on menus taking scaling
    into account (LP: #1992980)
  * appIcons: Ensure icons are animated when new instances are launched
    (LP: #1992845)
  * appIcons: Monitor windows workspace changes when isolating workspaces
    (LP: #1971012)
  * locations: Make FileManagerApp emit windows-changed on workspace switches
    (LP: #1971012)
  * locations: Use async API to get the handler APP for uri (LP: #1997264)
  * locations: Use an external helper to get the location handler (LP: #1997264)
  * dash: Temporary remove separator when re-displaying icons (LP: #2017523)
  * dash: Compute number of icons easily and correctly to show the separator
    (LP: #2017523)
  * locations: Do not cancel operations after a volume has been
    umounted / removed (LP: #1993054)

  [ taoky ]
  * intellihide: add dropdown menu to handled window types (LP: #1983456)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 Aug 2024 15:01:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gnome-shell-extension-ubuntu-dock
 Section: gnome
 Priority: optional
-Maintainer: Didier Roche <didrocks@ubuntu.com>
+Maintainer: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper (>= 10),
                dh-translations,
                eslint <!nocheck>,
@@ -11,8 +11,8 @@
                node-strip-ansi <!nocheck>,
                sassc,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-jammy
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-jammy
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock

## gnome-shell-extension-ubuntu-dock 74ubuntu2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,41 @@
 # Basic Makefile
 
 UUID = ubuntu-dock@ubuntu.com
-BASE_MODULES = extension.js metadata.json COPYING README.md
-EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js locationsWorker.js windowPreview.js intellihide.js prefs.js theming.js utils.js dbusmenuUtils.js Settings.ui desktopIconsIntegration.js
-EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
-TOLOCALIZE =  prefs.js appIcons.js locations.js
+BASE_MODULES = extension.js \
+               metadata.json \
+               COPYING \
+               README.md \
+               $(NULL)
+
+EXTRA_MODULES = \
+                appSpread.js \
+                dash.js \
+                docking.js \
+                appIcons.js \
+                appIconIndicators.js \
+                fileManager1API.js \
+                launcherAPI.js \
+                locations.js \
+                windowPreview.js \
+                intellihide.js \
+                prefs.js \
+                theming.js \
+                utils.js \
+                dbusmenuUtils.js \
+                Settings.ui desktopIconsIntegration.js \
+                $(NULL)
+
+EXTRA_MEDIA = logo.svg \
+              glossy.svg \
+              highlight_stacked_bg.svg \
+              highlight_stacked_bg_h.svg \
+              $(NULL)
+
+TOLOCALIZE =  prefs.js \
+              appIcons.js \
+              locations.js \
+              $(NULL)
+
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLTYPE = local

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (74ubuntu2) kinetic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: Update maintainer to myself
  * docking: Don't try to call a null callback (LP: #1989170)
  * docking: Do not wait for dash animation two times with no overview
    (LP: #1965208)
  * docking: Ensure we perform the startup animation completely on docks updates
    (LP: #1965208, LP: #1989170)
  * docking: Use a try/catch statement on our promise to show errors in case
    (LP: #1989170)
  * windowPreviews: Take global scaling in account to set the clone sizes
    (LP: #1992843)
  * docking: Keep overview controls layout proportions when resizing it
    (LP: #1992847)
  * docking: Also reduce the app grid area when in auto-hide mode (LP: #1992847)
  * docking: Use an even width for the overview content area (LP: #1979096)
  * docking: Check if autohide or intellihide is enabled on menu closed
    (LP: #1983130)
  * appIcons: Ensure icons are animated when new instances are launched
    (LP: #1992845)
  * docking: Do not try to focus potentially undefined window
  * appSpread: Do not anything on destruction if not supported
  * docking: Ignore hover changes if overview is visible (LP: #1983130)

  [ Daniel van Vugt ]
  * docking: Handle when dash is destroyed during the login animation
    (LP: #1989170)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 13 Oct 2022 22:00:20 +0200

gnome-shell-extension-ubuntu-dock (74ubuntu1) kinetic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New EGO upstream bugfix release 74
  * debian/control: Bump dependency on gnome-shell << 44 (LP: #1990423)
  * docking: Respect St.Settings for animation duration
  * stylesheet: Increase apps tooltips margins
  * stylesheet: Set margin for default app-running dots
  * stylesheet: Remove upstream defined dash-item-container's children margins
    (LP: #1966167)
  * stylesheet: Do not add edge padding to edge elements
  * stylesheet: Fix definition for dash-separator in shrink mode
  * appIcons: Add missing implementation of _setPoupTimeout to wrapped toggle
  * appIcons: Also redirect arguments, to called methods if any
  * appIcons: Implement setForcedHighlight function in DockShowAppsIcons
  * appIcons: Modernize and cleanup DockShowAppsIcon code
  * docking: Fix arguments for overridden _getAppDisplayBoxForState
  * Settings: Move the Shrink option to the global theme settings
  * prefs: Do not request resizing of our root widget on startup
  * prefs: Never use a scrolled window in newer GNOME Shell
  * appIcons: Monitor windows workspace changes when isolating workspaces
  * locations: Make FileManagerApp emit windows-changed on workspace switches
    (LP: #1971012)
  * stylesheet: Take in account side margin and opposite padding in separators
  * stylesheet: Explicitly use border radius and spacing from upstream
  * stylesheet: Simplify dash separator definition based on upstream one
  * stylesheet: Use unique function to handle padding/margin on internal
    children
  * stylesheet: avoid computing the shrunk dash padding multiple times
  * stylesheet: Use generic style generator for shrink mode too
  * stylesheet: Move mixins to the top of the file for easier re-usage
  * stylesheet: Use dock-container-style to define the extended cases too
  * docking: Move style classes names to Theming
  * dash, stylesheet: Support shrink and position-based style for labels
  * stylesheet: Move dock specific variables to dock namespace
  * stylesheet: Sync global variable definitions with upstream

  [ David Astillero Pérez ]
  * Update Spanish translation

  [ Jose Riha ]
  * Update Slovak translation

  [ rene-coty ]
  * Updated French Translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 24 Sep 2022 10:02:45 +0200

gnome-shell-extension-ubuntu-dock (72ubuntu6) kinetic; urgency=medium

  [ David Astillero Pérez ]
  * Update spanish (Spain) translation

  [ Marco Trevisan (Treviño) ]
  * utils: Support clearing wrappers
  * utils: Only support using JS Symbol's as Handler's keys
  * appIcons: Add Focus or App spread only (without minimization) too
  * appSpread: Use native Object
  * appSpread: Move AppSpread to docking
  * appSpread: fallback to previews if not supported
  * appSpread: Use utilities to manage methods monkey-patching
  * appSpread: Monitor applications more than specific windows
  * appIcons: Cleanup spread actions logic, so that it's less prone to errors
  * appSpread: Always show all the app windows in the spread
  * appSpread: Do not support it when we've a dummy overview
  * appSpread: Restore default windows when switching to AppView
  * appSpread: Don't mark the Activities button as checked in spread mode
  * 10_ubuntu-dock.gschema.override: Use focus-or-appspread by default

  [ ggcode ]
  * implement "minimize or overview" with only current app windows

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Aug 2022 22:28:23 +0200

gnome-shell-extension-ubuntu-dock (72ubuntu5) kinetic; urgency=medium

  * docking: Fix syntax to please eslint

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Aug 2022 03:09:27 +0200

gnome-shell-extension-ubuntu-dock (72ubuntu4) kinetic; urgency=medium

  * docking: Check for corners availability using standard checks
  * docking: Do not try to override removed old methods

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Aug 2022 02:53:53 +0200

gnome-shell-extension-ubuntu-dock (72ubuntu3) kinetic; urgency=medium

  [ Alexandru Cheltuitor ]
  * Ensure that PanelCorner has given properties before checking the value

  [ Leandro Kemp ]
  * Added option to turn on/off show dock for urgent notifications

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 24 Aug 2022 20:27:56 +0200

gnome-shell-extension-ubuntu-dock (72ubuntu2) kinetic; urgency=medium

  [ Patryk Skorupa ]
  * Add compatibility with DING for Dynamic Transparency (LP: #1981837)

  [ Daniel van Vugt ]


=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                node-strip-ansi <!nocheck>,
                sassc,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-jammy
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-jammy
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 43),
+Depends: gnome-shell (<< 44),
          gnome-shell (>= 40),
          ${misc:Depends},
          ${shlibs:Depends}

## gnome-shell-extension-ubuntu-dock 79ubuntu2

=== Makefile ===
--- 
+++ 
@@ -16,13 +16,16 @@
                 fileManager1API.js \
                 launcherAPI.js \
                 locations.js \
+                locationsWorker.js \
+                notificationsMonitor.js \
                 windowPreview.js \
                 intellihide.js \
                 prefs.js \
                 theming.js \
                 utils.js \
                 dbusmenuUtils.js \
-                Settings.ui desktopIconsIntegration.js \
+                desktopIconsIntegration.js \
+                Settings.ui \
                 $(NULL)
 
 EXTRA_MEDIA = logo.svg \

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (79ubuntu2) lunar; urgency=medium

  * locations: Use a CommandLine App to launch new windows
  * locations: Use an external helper to get the location handler (LP: #2013070)
  * locations: Use normal launch operation if location is not set yet

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 13 Apr 2023 06:25:39 +0200

gnome-shell-extension-ubuntu-dock (79ubuntu1) lunar; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * locations: Keep track of launch wait timeouts
  * locations: Ensure we always remove tracked launch timeout sources
  * appIconIndicators: Unpack texture names, not the iconInfo
  * locations: Create launchMaxWait in order
  * windowPreview: Honor button layout settings for the window preview close
  * docking: export Docking.State enum
  * cleanup: get scaleFactor using deconstruction
  * utils: Use St.IconTheme if available (required by GNOME 44)
  * appIndicators: Destroy the notifications badge on destruction
  * prefs: Use SHELL_VERSION not to depend on running shell
  * prefs: Add ability to toggle visibility of icon emblems
  * appIconIndicators: Add add unhanded notifications to icon count
  * appIcons: Do not show icon emblems on do-not-disturb mode
  * locations: Re-use cached handler app instead of querying it all the times

  [ Davi Figueiredo ]
  * fix: this._launchMaxWaitIds is undefined

  [ SubZ69 ]
  * Hide application tooltip option

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 07 Mar 2023 06:19:23 +0100

gnome-shell-extension-ubuntu-dock (76ubuntu1) lunar; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release 76
  * windowPreviews, appIcons: set maximum width/height on menus taking scaling
    in account.
    Even if St.Theme is supposed to scale down all the css values, this
    doesn't seem to happen for the menus max-width / height values and so
    we may end up having too big menus to be visible. (LP: #1992980)
  * appIcons, windowPreview: Use overlay-scrollbars for window previews.
    Helps to have them properly aligned
  * appIcons: do not set isHorizontal parameter on AppIcon when opening a menu.
    It's not an object property, so no need to keep it changed here.
  * windowPreview: Improve style of menu-items depending on dock positioning.
    Sadly this is not just a style change, because apparently St is bugged
    when it comes to handle the first/last child properties so if we'd just
    use normal allocation we would have lost the special padding for those
    elements causing unwanted behavior.
    In this way, instead we preserve the style-defined sizes also for
    first/last children.
  * utils: Use nicer syntax for later and MonitorManager wrappers
  * Add gnome-suggested eslint and auto-fix main issues.
  * extension: Cleanup code to be conform to ESLint rules
  * docking: Remove autohide trigger timeout on destruction
  * windowPreview: Get scale size without using an utility function.
    That's simple enough to be handled internally
  * appIcons: Allow marking urgent applications when not running.
    This may be supported when using remote launcher actions
  * appIconIndicators: Do not load theme node for off-stage widgets.
    These information are only available when a widget is on the stage
  * locations: Notify error message to the user, not the error itself
  * locations: Ignore errors when mounting a mounted device or umounting an
    umounted one
  * locations: Do not try to use the handler app twice to launch if not found.
    We're already doing a check for handler app in vfunc_launch(), so
    there's no need to go through the same via vfunc_get_commandline()
  * locations: Check for gjs version just once
  * locations: Do not return anything on open_new_window.
  * locations: Mark the application as stopped if launching fails.
  * locations: Use async API to get the handler APP for uri.
    GVfs implementations of GFile could cause the shell to hang while querying
    the file infos, making the whole UI to freeze, and such actions can't be
    cancelled, even if that's running in external processes.
    To avoid this to happen, we need to use the async API and limit its
    execution time to handle failures gracefully.
    In case we also cache the last valid handler applications so that in case
    we can re-use it on timeouts. (LP: #1997264)
  * locations: Use better logic to check if a new window can be opened.
    Sadly we can't use the new-window action directly because it does not
    support adding further arguments.
  * locations: Handle undefined error gracefully
  * eslint: disable some options that are not working in ubuntu's eslint

  [ Daniel van Vugt ]
  * debian/control: Allow installing with gnome-shell 44.

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Sundeep Mediratta ]
  * Dont detect and track DING windows for intellihide
  * Move constant to global, to prevent recurrent assignments
  * intellihide: Optimize intellihide for handled windows.
  * Fix Transparency for Gtk4 DING

  [ Brendan Weibrecht ]
  * Make urgent application icon dance toggleable

  [ Robert Strauch ]
  * docs: add dependency for gettext to build section

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Feb 2023 03:42:49 +0100

gnome-shell-extension-ubuntu-dock (75ubuntu1) lunar; urgency=medium

  * New upstream release 75.

  [ Daniel van Vugt ]
  * Add support for GNOME 44 (avoid deprecated functions).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 20 Feb 2023 16:57:54 +0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 44),
+Depends: gnome-shell (<< 45~),
          gnome-shell (>= 40),
          ${misc:Depends},
          ${shlibs:Depends}

## gnome-shell-extension-ubuntu-dock 79ubuntu2.23.04.2

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (79ubuntu2.23.04.2) lunar; urgency=medium

  * Keep shell overview always visible and usable (LP: #1979096):
    - docking: Do ControlsManagerLayout allocation with box-adjusted workArea
    - docking: Be more consistent in reducing the overlay layout space
    - docking: Add both bottom and top spacing when there are no workspaces

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 02 Jun 2023 16:37:38 +0200

gnome-shell-extension-ubuntu-dock (79ubuntu2.23.04.1) lunar; urgency=medium

  * debian: Update VCS references to ubuntu-dock-lunar branch
  * docking: Handle monitors changes during early startup (LP: #2019751)
    - docking: Cleanup startup animation injections once done
    - docking: Handle monitors changed events while preparing startup animation
    - docking: Keep clip and coverPane size matching current setup

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 16 May 2023 01:47:35 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                node-strip-ansi <!nocheck>,
                sassc,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-lunar
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-lunar
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock

## gnome-shell-extension-ubuntu-dock 87ubuntu1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (87ubuntu1) mantic; urgency=medium

  * Releasing v87
  * Imports: use less verbose export strategy
  * prefs: Use GObject class for signal emission
  * cleanup: Avoid setting modules versions
  * prefs: Remove unneeded log line
  * extension: Do not try to re-enable the extension when already is

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Aug 2023 00:55:44 +0200

gnome-shell-extension-ubuntu-dock (85ubuntu1) mantic; urgency=medium

  [ Stuart Hayhurst ]
  * docking: Update dock visibility after overview hide animation is done

  [ Amr Ibrahim ]
  * Update German translation

  [ jrom99 ]
  * Fix some icons missing dominant color
  * Adds sensible fallback if dominant color is missing
  * Fix mounted drives missing dominant color

  [ Marco Trevisan (Treviño) ]
  * New upstream release 85
  * appIconIndicators: Address eslint comments on dominant color fix
  * extension: Port to ESM
  * eslint: Update rules to match gnome-shell 45 and fix syntax
  * eslint: Ignore some files that ubuntu's eslint can't parse yet
  * debian/control: Bump gnome-shell dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 17 Aug 2023 04:04:06 +0200

gnome-shell-extension-ubuntu-dock (84ubuntu1) mantic; urgency=medium

  [ WhiredPlanck ]
  * Update Simplified Chinese translation
  * Update Traditional Chinese translation

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * Revert "dash: Compute number of icons easily and correctly to show the
    separator"
  * dash: Take in account the number of removed favorites to add the separator
  * docking: Always affect the input region when adding the dock (LP: #2022885)

  [ addieStarr ]
  * Fixed dash-js app issue

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Jun 2023 22:51:34 +0200

gnome-shell-extension-ubuntu-dock (82ubuntu1) mantic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New Upstream release v82
  * debian/rules: Install prefs.js (it allows to tweak further settings)
  * docking: Use upstream addChrome to track actors
  * docking: Do ControlsManagerLayout allocation with box-adjusted workArea
    (LP: #1979096)
  * docking: Be more consistent in reducing the overlay layout space
  * docking: Add both bottom and top spacing when there are no workspaces thumbs
  * dash: Use a different container to hold floating ShowAppsIcon
  * dash: Temporary remove separator when re-displaying icons (LP: #2017523)
  * dash: Compute number of icons easily and correctly to show the separator
  * dash: Cleanup a bit the icons ordering code
  * dash: Animate icons during overview animation but not during startup

  [ taoky ]
  * intellihide: add dropdown menu to handled window types (LP: #1983456)

  [ Sabri Ünal ]
  * Update Turkish translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 02 Jun 2023 03:50:12 +0200

gnome-shell-extension-ubuntu-dock (81ubuntu1) mantic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * docking: Set dance timeline duration to 1 if animations are disabled
  * appInconIndicators: Improve the computing of the counter badge size
  * notificationsMonitor: Do not count the acknowledged resident notifications
  * docking: Initialize settings before than other classes that could use them
  * notificationsMonitor: Add an options to disable notifications counter only
  * appIconIndicators: Add an option to control whether the counters are summed
  * docking: Initialize the Launcher remote model only if needed
  * locations: Use correct name for default handler finish function
  * locationsWorker: Use more async awaitness
  * docking: Cleanup startup animation injections once done
  * docking: Handling monitors changed events while preparing startup animation
    (LP: #2019751)
  * docking: Keep clip and coverPane size matching current setup (LP: #2019751)
  * schemas: Update some descriptions to match actual behavior
  * docking: Cleanup some stray lines
  * dash: Do DockDash class initialization at first thing
  * dash: Add option to keep the icons always centered in extended mode
  * Settings: improve wording on show-apps option
  * dash: Add option to show the show-apps button bound to icons in panel mode

  [ Amr Ibrahim ]
  * Update German translation
  * Change "dance" to "wiggle"

  [ hasecilu ]
  * Update Spanish translation
  * Update potfile changes to es.po

  [ Daniel van Vugt ]
  * prefs: Set default window height to 850, if it fits

  [ stuarthayhurst ]
  * Fix consistency of fullstops in strings
  * Updated translations

  [ Yaroslav Pronin ]
  * Update Russian translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 16 May 2023 01:21:24 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                node-strip-ansi <!nocheck>,
                sassc,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-lunar
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-lunar
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 45~),
-         gnome-shell (>= 40),
+Depends: gnome-shell (<< 46~),
+         gnome-shell (>= 45~),
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: gnome-shell-extension-dashtodock,

## gnome-shell-extension-ubuntu-dock 87ubuntu2

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
                 appIcons.js \
                 appIconIndicators.js \
                 fileManager1API.js \
+                imports.js \
                 launcherAPI.js \
                 locations.js \
                 locationsWorker.js \
@@ -126,6 +127,7 @@
 	-rm -fR ./_build
 	mkdir -p _build
 	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
+	cp -a dependencies _build
 	cp stylesheet.css _build
 	mkdir -p _build/media
 	cd media ; cp $(EXTRA_MEDIA) ../_build/media/

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (87ubuntu2) mantic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * locationsWorker: Exit with the main script exit code (LP: #2038783)

  [ Stuart Hayhurst ]
  * appIcons: Use Mtk.Rectangle instead of Meta.Rectangle (LP: #2034664)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 09 Oct 2023 03:04:54 +0200

## gnome-shell-extension-ubuntu-dock 90ubuntu1

=== Makefile ===
--- 
+++ 
@@ -83,9 +83,9 @@
 
 ./po/dashtodock.pot: $(TOLOCALIZE) Settings.ui
 	mkdir -p po
-	xgettext -k --keyword=__ --keyword=N__ --add-comments='Translators:' -o po/dashtodock.pot --package-name "Dash to Dock" --from-code=utf-8 $(TOLOCALIZE)
+	xgettext --keyword=__ --keyword=N__ --add-comments='Translators:' -o po/dashtodock.pot --package-name "Dash to Dock" --from-code=utf-8 $(TOLOCALIZE)
 	intltool-extract --type=gettext/glade Settings.ui
-	xgettext -k --keyword=_ --keyword=N_ --join-existing -o po/dashtodock.pot Settings.ui.h
+	xgettext --keyword=_ --keyword=N_ --join-existing -o po/dashtodock.pot Settings.ui.h
 
 ./po/%.mo: ./po/%.po
 	msgfmt -c $< -o $@
@@ -152,4 +152,4 @@
 endif
 
 check:
-	$(ESLINT) $(ESLINT_ARGS) .
+	ESLINT_USE_FLAT_CONFIG=false $(ESLINT) $(ESLINT_ARGS) .

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (90ubuntu1) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release: dash-to-dock v90
  * locations: Remove unused variable
  * appIcon: Allow customizing the showAppsIcon based on the session mode
    (LP: #2060816)

  [ taoky ]
  * docking: fix window picker space for multi-monitor environments
  * intellihide: enable/disable unredirect when dock shows/hides

  [ Jichi Zhang ]
  * intellihide: treat fullscreen windows as maximized

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 17 Apr 2024 21:09:42 +0200

gnome-shell-extension-ubuntu-dock (89ubuntu4) noble; urgency=medium

  [ Julian Kandlhofer ]
  * Fix deprecated "St.ScrollView.[hv]scroll" property

  [ Sergio Costas ]
  * Fix dot height in default mode (#2168)

  [ taoky ]
  * docking: adapt ControlsManagerLayout spacing for GNOME 46

  [ Daniel van Vugt ]
  * docking: Hard code the startup animation time
  * docking: Use the upstream gnome-shell startup animation code (LP: #2058468)

  [ Sabri Ünal ]
  * i18n: Fix sl-po file extension

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 10 Apr 2024 16:28:01 +0800

gnome-shell-extension-ubuntu-dock (89ubuntu3) noble; urgency=medium

  [ Sergio Costas Rodriguez ]
  * Update for Gnome Shell 46
  * Fix hover highlight in Gnome Shell 45
  * Right detection of barriers
  * Fix Overview mode
  * Remove the gray background in each icon
  * Show the currently focused application
  * appIndicators: Update progress bar colors to be more modern
  * appIndicators: Use track instead of background
  * stylesheet: Allow to use CSS to fully set gradient colors

  [ Daniel van Vugt ]
  * windowPreview: Use set_child instead of add_child

  [ Sundeep Mediratta ]
  * Remove any dependency on dockmanager in desktopIconsIntegration.js

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 22 Mar 2024 10:08:15 +0100

gnome-shell-extension-ubuntu-dock (89ubuntu2) noble; urgency=medium

  [ Daniel van Vugt ]
  * windowPreview: Use set_child instead of add_child (LP: #2056506)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 12 Mar 2024 19:05:30 +0100

gnome-shell-extension-ubuntu-dock (89ubuntu1) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * metadata: Bump to version 89
  * dependencies/gi: Use shorter syntax for dependencies imports
  * eslint: Force dangle comma on multi-line imports
  * locations: Use TextDecoder instead of deprecated ByteArray
  * locations: Throw a clearer error if handlerApp is not found
  * locationsWorker: Exit with the main script exit code
  * docking: Do not manually dispose the settings object
  * docking: Use St.IconTheme directly, without wrappers
  * dependencies/gi: Do not import Gdk or Gtk into the shell
  * appIcons: Add support for translating plural forms
  * Utils: add supportsExtendedBarriers
  * cleanup: Style fixes

  [ Sergio Costas Rodriguez ]
  * Update for Gnome Shell 46
  * Preserve Gnome Shell 45 compatibility
  * Fix lack of Clutter.cairo_set_source_color
  * Use add_child in all the possible places
  * Remove the gray background in each icon
  * Show the currently focused application

  [ Stuart Hayhurst ]
  * appIcons: Use Mtk.Rectangle instead of Meta.Rectangle

  [ xalt7x.service ]
  * Update Ukrainian translation
  * Fix dashtodock.pot generation
  * Add missing third argument
  * Use the function ngettext directly
  * Update Ukrainian translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Matej ]
  * Created sl-po

  [ hasecilu ]
  * Update Spanish translations

  [ Amr Ibrahim ]
  * Update German translation

  [ Piotr Wieczorek ]
  * Fix Polish translation of "Empty Trash"

  [ Yaroslav Pronin ]
  * Change "Show Details" to GNOME's "App Details"
  * Fix auto format indents

  [ Vincenzo ]
  * Fix for blurry background when opening a new application (LP: #1965123)
  * Simplify animation duration expression into one-liner

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 01 Mar 2024 00:51:05 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 46~),
+Depends: gnome-shell (<< 47~),
          gnome-shell (>= 45~),
          ${misc:Depends},
          ${shlibs:Depends}
